import { SequelizeModuleOptions } from "@nestjs/sequelize";
import * as dotenv from "dotenv";
import * as path from "path";

dotenv.config();

export const databaseConfig: SequelizeModuleOptions = {
  dialect: "postgres",
  host: process.env.DATABASE_HOST || "localhost",
  port: +process.env.DATABASE_PORT || 5432,
  username: process.env.DATABASE_USER || "postgres",
  password: process.env.DATABASE_PASSWORD || "password",
  database: process.env.DATABASE_NAME || "ecommerce",
  models: [path.join(__dirname, "../**/entities/*.entity.ts")],
  autoLoadModels: true, 
  synchronize:true,
};
