import { Module } from "@nestjs/common";
import { AppController } from "./app.controller";
import { AppService } from "./app.service";
import { ConfigModule } from "@nestjs/config";
import { SequelizeModule } from "@nestjs/sequelize";
import { databaseConfig } from "../config/database.config";
import { UsersModule } from './users/users.module';
import { ShopModule } from './shop/shop.module';


@Module({
  imports: [
    ConfigModule.forRoot({
      isGlobal: true,
    }),
    SequelizeModule.forRoot(databaseConfig),
    UsersModule,
    ShopModule,

  ],
  controllers: [AppController],
  providers: [AppService],
})
export class AppModule {}
