import {
  Table,
  Column,
  ForeignKey,
  BelongsTo,
  DataType,
  Model,
  HasMany,
} from "sequelize-typescript";
import { User } from "../../users/entities/user.entity";
import { Cart } from "./cart.entity";

@Table
export class Invoice extends Model<Invoice> {
  @ForeignKey(() => User)
  @Column
  userId: number;

  @BelongsTo(() => User, { onDelete: "CASCADE" }) 
  user: User;

  @HasMany(() => Cart) 
  carts: Cart[];

  @Column({
    type: DataType.INTEGER,
    allowNull: false,
  })
  totalPaymentAmount: number;

  @Column({
    type: DataType.ENUM("pending", "paid"),
    allowNull: false,
    defaultValue: "pending", 
  })
  status: string;
}
