import { Model, Table, Column, ForeignKey, BelongsTo, DataType } from 'sequelize-typescript';
import { Wallet } from './wallet.entity';

@Table
export class Transaction extends Model<Transaction> {
  @ForeignKey(() => Wallet)
  @Column
  walletId: number;

  @BelongsTo(() => Wallet, { onDelete: 'CASCADE' }) 
  wallet: Wallet;

  @Column({
    type: DataType.STRING,
    allowNull: false,
    defaultValue: "0", 
  })
  amount: string;
}
