import { Model, Table, Column, ForeignKey, BelongsTo, DataType } from 'sequelize-typescript';
import { User } from '../../users/entities/user.entity';

@Table
export class Wallet extends Model<Wallet> {
  @ForeignKey(() => User)
  @Column
  userId: number;

  @BelongsTo(() => User, { onDelete: 'CASCADE' }) 
  user: User;

  @Column({
    type: DataType.INTEGER,
    allowNull: false,
    defaultValue: 0, 
  })
  balance: number;
}
