import { IsString, IsEmail, IsEnum, IsNotEmpty, IsOptional, Matches } from "class-validator";

export class CreateUserDto {
  @IsEmail({}, { message: "Invalid email format" })
  email: string;

  @IsString()
  @IsNotEmpty({ message: "Password is required" })
  password: string;

  @IsString()
  @IsNotEmpty({ message: "Password is required" })
  role: string;

  @IsString()
  @IsNotEmpty({ message: "First name is required" })
  firstName: string;

  @IsString()
  @IsNotEmpty({ message: "Last name is required" })
  lastName: string;

  @IsString()
  @IsNotEmpty({ message: "Username is required" })
  username: string;

  @IsString()
  @Matches(/^[0-9]{11}$/, { message: "Phone number must be 10 digits" })
  phoneNumber: string;

  @IsEnum(["male", "female"], { message: "Gender must be 'male' or 'female'" })
  gender: string;
}
