import { IsString, IsEmail, IsEnum, IsNotEmpty, IsOptional, Matches } from "class-validator";

export class LoginUserDto {
  @IsEmail({}, { message: "Invalid email format" })
  email: string;

  @IsString()
  @IsNotEmpty({ message: "Password is required" })
  password: string;

  @IsString()
  @IsNotEmpty({ message: "Username is required" })
  username: string;

}
