import { Column, Table, Model, DataType } from "sequelize-typescript";

@Table
export class User extends Model<User> {
  @Column({ unique: true })
  email: string;

  @Column
  password: string;

  @Column({
    type: DataType.ENUM("admin", "user"),
    defaultValue: "user",
    allowNull: false,
  })
  role: string;

  @Column
  firstName: string;

  @Column
  lastName: string;

  @Column({ unique: true })
  username: string;

  @Column({ unique: true, allowNull: false })
  phoneNumber: string;

  @Column({
    type: DataType.ENUM("male", "female"),
    allowNull: false,
  })
  gender: string;

}
export enum Gender {
  Male = "male",
  Female = "female",
}
